Category:    
Requester's Priority: Normal Platform: Ubuntu 16.04 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Not Supported Scope FAQ Links:  

Description

Supportanfrage

ADTF2 für Linux wird derzeit auf einem Ubuntu 14.04 gebaut und getestet. Offiziellen Support gibt es auch nur dafür.

Ich selbst habe die Examples von ADTF2 erfolgreich mit gcc 5.4 auf Ubuntu 16.04 übersetzt. Ausnahme bilden die Mixins (hier

konnte ich  unser Paket vom OpenSceneGraph nicht wiederverwenden.) Gut möglich, dass sich hier noch mehr

Kompatibilitätsprobleme finden.

Meine derzeitige Empfehlung: Verwendet ADTF2 unter Ubuntu 16.04 mit gcc 4.8.

@Digitalwerk: Gibt es Pläne ADTF2 für Ubuntu 16.04 mit gcc 5.4 offiziell zu unterstützen? Das könnte später den Umstieg auf

ADTF3 erleichtern, wenn wir schon auf der passenden Plattform mit dem passenden Compiler sind.

Lösung

Nein gibt es nicht, das würde auch einen Rattenschwanz mit den Toolboxen und Abhängigkeiten nach sich ziehen.

History

#1 - 2018-08-03 08:22 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to AUDI

- Department set to EF

- Affected Products ADTF 2.14.2 added

- Platform Ubuntu 16.04 64bit added

#2 - 2018-08-03 08:26 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Not Supported Scope

Hallo Jens,

nein gibt es nicht, das würde auch einen Rattenschwanz mit den Toolboxen und Abhängigkeiten nach sich ziehen.

#3 - 2018-08-10 09:45 - hidden

- Project changed from 11 to Public Support

- Subject changed from AW: gcc-Versionen auf Ubuntu to Porting ADTF 2.x to Ubuntu 16.04 with GCC 5.4

- Description updated
Kein weiteres Feedback, Ticket wird geschlossen

#4 - 2018-08-10 09:45 - hidden

- Status changed from Customer Feedback Required to To Be Closed

#5 - 2018-08-10 09:45 - hidden

- Private changed from Yes to No

#6 - 2018-09-11 15:55 - hidden

- Status changed from To Be Closed to Closed
